var csvfilename = "PRS-Beaufort.csv";

var Oracle = new ActiveXObject("ADODB.Connection");
var str = 'File Name=.\\beaufort.udl';
Oracle.Open(str);

ttTot = new Date();
sql = "SELECT PERSONEELSNUMMER||';'||NAAM||';'||TUSSENVOEGSELS||';'||VOORLETTERS||';'||VOORNAAM||';'||AFDELINGSCODE||';'||FUNCTIE||';'||INDIENSTDATUM||';'||UITDIENSTDATUM||';'||DIENSTVERBANDCODE||';'||DIENSTVERBANDGEBOUW||';'||AFDELINGSDOMEIN||';'||TELEFOON||';'||EMAIL||';'||LOGINNAAM||CHR(13)||CHR(10) FROM VW_FC_MEDEWERKERS";
oRs = Oracle.Execute(sql);

var fso;
var flog;
fso = new ActiveXObject("Scripting.FileSystemObject");
flog = fso.CreateTextFile(csvfilename, true);

//Header
flog.Write('PERSONEELSNUMMER;NAAM;TUSSENVOEGSEL;VOORLETTERS;VOORNAAM;AFDELINGSCODE;FUNCTIE;INDIENSTDATUM;UITDIENSTDATUM;DIENSTVERBANDCODE;DIENSTVERBANDGEBOUW;AFDELINGSDOMEIN;TELEFOON;EMAIL;LOGINNAAM\r\n');
//Content
while (!oRs.eof)
{
    flog.Write(oRs(0).value);
    oRs.MoveNext;
}
oRs.close;
flog.Close();

WScript.Echo("Klaar met wegschrijven CSV: " + (((new Date())-ttTot)) + "ms");
